Issue 84172 - File format error when importing RTF
Summary: File format error when importing RTF
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: open-import (show other issues)
Version: OOo 2.3.1 RC1
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2007-12-02 15:55 UTC by aziem
Modified: 2013-08-07 14:42 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
freezes OOo on import (73.98 KB, text/rtf)
2007-12-02 15:57 UTC, aziem
no flags Details
DOC recovered by Abiword and bad RTF re-created by OOo 2.3.1RC1 (28.93 KB, application/x-compressed)
2007-12-03 15:23 UTC, aziem
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description aziem 2007-12-02 15:55:52 UTC
I was told OpenOffice.org produced this RTF (despite its extension).  When I try
to open it on OOo 2.3.1RC1, it freezes OOo with high CPU usage.  However,
Abiword 2.4.6 opens the RTF fine.
Comment 1 aziem 2007-12-02 15:57:57 UTC
Created attachment 50051 [details]
freezes OOo on import
Comment 2 jbf.faure 2007-12-02 18:56:51 UTC
OOo 2.3.1 rc FR on Kubuntu 6.06 give me an error message when attempting to open
this test file : "File format error at 210,7 (row,col)".
Comment 3 aziem 2007-12-02 19:21:43 UTC
**Sorry, I confused this with a different file.**   Actually, jbfaure and I do
get the same error.  :)
Comment 4 jbf.faure 2007-12-02 21:20:44 UTC
Do you confirm that the file you attached has been produced by OOo ?
If so, please provide the file in odt format in order to reproduce the RTF 
conversion problem.
Comment 5 michael.ruess 2007-12-03 12:00:25 UTC
The attached RTF looks quite strange... normally OO Writer adds more line breaks
in the RTF code to make it more clearly arranged. But it contains the keyword
"{\comment StarWriter}" where OO Writer marks itself as creator of an RTF. What
I think: the RTF has been generated by Writer - but than modified by another
Word Processor. 
BTW: MS Word is also not able to open the attached RTF. So -as jbfaure proposed-
an odt which will result in the error when exported to RTF will be needed to
proof (and of course make it possible to debug) the issue.
Comment 6 aziem 2007-12-03 15:23:16 UTC
Created attachment 50069 [details]
DOC recovered by Abiword and bad RTF re-created by OOo 2.3.1RC1
Comment 7 aziem 2007-12-03 15:25:53 UTC
There is no original other than my first attachment. The user was panicked, so
she sent me the RTF document.  

The second attachment 50069 [details] contains a way to reproduce both the OpenOffice.org
export and import bugs.  I recovered the RTF in Abiword and produced a DOC. 
Then, in OpenOffice.org 2.3.1RC1 Linux, I resaved the DOC into RTF.  This RTF
has the same problem.
Comment 8 aziem 2007-12-03 23:12:13 UTC
FWIW.  The person who sent me the document indicated the document was created
years ago in Microsoft Word, but after she lost Word, she switched to
OpenOffice.org.
Comment 9 michael.ruess 2007-12-07 11:44:08 UTC
Yes, I can see the problem with OO 2.3.1. But in OO 2.4 (I use newest 680m238)
it works fine.
I was not able to find an issue, which fix might have healed this...
Comment 10 michael.ruess 2007-12-07 11:46:36 UTC
Closed, works with OO 2.4.